Skip to main content
GET
Get run details

Authorizations

Authorization
string
header
required

API key authentication. Get your API key from the workspace settings.

Example: Authorization: Bearer cordage_xxxxxxxxxxxx

Path Parameters

key
string
required

The webhook key

Example:

"wh_abc123xyz"

runId
string<uuid>
required

The run ID returned from the trigger endpoint

Example:

"550e8400-e29b-41d4-a716-446655440000"

Response

Run details retrieved successfully

run_id
string<uuid>
required

Unique identifier for this workflow run

status
enum<string>
required

The current status of a workflow run

Available options:
pending,
running,
completed,
failed,
cancelled
created_at
string<date-time>
required

When the run was started

completed_at
string<date-time> | null

When the run completed (null if still running)

metadata
object

Metadata about the workflow run

outputs
string<uri>[] | null

URLs of generated output files (available when status is 'completed')